#version 150

uniform mat4 modelMatrix;
uniform mat4 transformationMatrix;

in vec3 position;

out vec4 WS_pos_from_GS;

void main() {
	// transform vertex to world space
	WS_pos_from_GS = modelMatrix * vec4(position, 1.0);
	gl_Position = transformationMatrix * WS_pos_from_GS;
}
