#version 150

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput data
out vec4 colorRender;
out vec4 colorAlpha;

// Values that stay constant for the whole mesh.
uniform sampler2D myTextureSampler;

void main(){
	colorRender = texture2D( myTextureSampler, UV );
	colorAlpha = vec4(0.0,0.0,0.0,1.0);
}